# Customers Object

> Source: https://truto.one/docs/api-reference/unified-e-commerce-api/customers/

Schema for the `Customers` resource in **Unified E-Commerce API**.

## Properties

- **`id`** _(string)_
  The unique identifier for customer
- **`first_name`** _(string)_
  The first name of customer
- **`last_name`** _(string)_
  The last name of customer
- **`name`** _(string)_
  The full name of customer
- **`company_name`** _(string)_
  The company name of customer
- **`status`** _(string)_
  The status of customer. If no clear mapping exists, then raw value is returned.
  Allowed: `active`, `inactive`
- **`currency`** _(string)_
  The currency associated to customer
- **`emails`** _(array<object>)_
  The emails of customer
  - **`email`** _(string, required)_
    The email of the customer
  - **`type`** _(string)_
    The type of email
  - **`is_primary`** _(boolean)_
    The status of email
- **`phones`** _(array<object>)_
  The phone numbers of customer
  - **`number`** _(string, required)_
    The number of phone
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The type of phone
- **`addresses`** _(array<object>)_
  The addresses of a customer
  - **`type`** _(string)_
    The type of an address of a customer
  - **`id`** _(string)_
    The unique identifier of an address of a customer
  - **`street_1`** _(string)_
    The first line of address of a customer
  - **`street_2`** _(string)_
    The second line of address of a customer
  - **`city`** _(string)_
    The city of the address of a customer
  - **`state`** _(string)_
    The state/province of the address of a customer
  - **`postal_code`** _(string)_
    The postal code of the address of a customer
  - **`country`** _(string)_
    The country of the address of a customer
- **`orders`** _(array<object>)_
  The orders of customer
  - **`id`** _(string)_
    The id of orders of the customer
  - **`total`** _(string)_
    The total amount of orders of email
  - **`status`** _(string)_
    The status of orders of the customer
- **`created_at`** _(string)_
  The date and time when customer was created
- **`updated_at`** _(string)_
  The date and time when customer was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ecommerce/customers](/docs/api-reference/unified-e-commerce-api/customers/list) — List Customers
- [GET /unified/ecommerce/customers/{id}](/docs/api-reference/unified-e-commerce-api/customers/get) — Get Customers
